org.bdgenomics.adam.util

# AttributeUtils

#### object AttributeUtils

AttributeUtils is a utility object for parsing optional fields from a BAM file, or the attributes column from an ADAM file.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AttributeUtils
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val arrayRegex: Regex

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### val attrRegex: Regex

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def convertSAMTagAndValue(attr: SAMTagAndValue): Attribute

    Converts an htsjdk SAM Tag/Value into an ADAM attribute.

    Converts an htsjdk SAM Tag/Value into an ADAM attribute.

    attr

      htsjdk tag/value pair containing a tag value with a known type.

    returns

      Returns an Attribute instance.

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def parseAttribute(encoded: String): Attribute

    Extract the Attribute value from the corresponding String fragment stored in the Read.

    Extract the Attribute value from the corresponding String fragment stored in the Read.attributes field.

    encoded

      A three-part ':'-separated string, containing [attrTuple]:[type]:[value]

    returns

      An Attribute value which has the three, extracted and correctly-typed parts of the encoded argument.

    Exceptions thrown
      IllegalArgumentException

      if the encoded string doesn't conform to the required regular expression ([A-Z]{2}:[AifZHB]:[\t]+)

21. #### def parseAttributes(tagStrings: String): Seq[Attribute]

    Parses a tab-separated string of attributes (tag:type:value) into a Seq of Attribute values.

    Parses a tab-separated string of attributes (tag:type:value) into a Seq of Attribute values.

    tagStrings

      The String to be parsed

    returns

      The parsed Attributes

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped